## powerdevil 5.27.3

=== debian/changelog ===
powerdevil (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:20:30 +0000

powerdevil (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:25:09 +0000

powerdevil (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:48:53 +0000

powerdevil (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:42:55 +0000

powerdevil (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * Drop lower-workspace-build-dep.patch, no longer needed.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:31:52 +0000

powerdevil (4:5.26.5-0ubuntu2) lunar; urgency=medium

  * Lower internal plasma-workspace build dep.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 10:25:16 +0000

powerdevil (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)
  * Keep plasma-workspace-dev build dep at 5.26.4

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:31:23 +0000

powerdevil (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps bumped to current versions.
    - Recommend power-profiles-daemon.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 08:46:42 +0000

powerdevil (4:5.26.4-0ubuntu2) lunar; urgency=medium

  * Bump plasma-workspace-dev build dep to (>= 4:5.26.4.1~)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 15:02:48 +0000

powerdevil (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:05:45 +0000

powerdevil (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:13:15 +0000

powerdevil (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:11:43 +0000
