=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libkf5networkmanagerqt-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
                libkf5notifyconfig-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.3~),
+               libkf5screen-dev (>= 4:5.27.4~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
@@ -47,7 +47,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.3~),
+               plasma-workspace-dev (>= 4:5.27.4~),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/powerdevil
