## powerdevil 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PowerDevil)
-set(PROJECT_VERSION "5.27.4")
+set(PROJECT_VERSION "5.27.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")
