=== daemon/backends/CMakeLists.txt ===
add_subdirectory(upower)
