=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: powerdevil
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -29,9 +28,9 @@
                libkf5networkmanagerqt-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
                libkf5notifyconfig-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.4~),
+               libkf5screen-dev (>= 4:5.27.5~),
                libkf5solid-dev (>= 5.102.0~),
-               libkf5wayland-dev (>= 4:5.102.0~),
+               libkf5wayland-dev (>= 4:5.98.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libudev-dev,
                libx11-dev,
@@ -47,18 +46,18 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.4~),
+               plasma-workspace-dev (>= 4:5.27.5~),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/powerdevil
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
 Rules-Requires-Root: no
 
 Package: libpowerdevilcore2
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: Global power saver settings ui library.
  Power Devil allows you to define your all power settings.
@@ -68,7 +67,7 @@
 Package: libpowerdevilui5
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: Global power saver settings ui library.
  Power Devil allows you to define your all power settings.
@@ -81,13 +80,13 @@
          powerdevil-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: systemsettings, power-profiles-daemon
+Recommends: systemsettings,
 Description: Global power saver settings.
  Power Devil allows you to define your all power settings.
 
 Package: powerdevil-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Multi-Arch: foreign
 Description: Global power saver settings data files.
  Power Devil allows you to define your all power settings.
