=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libkf5networkmanagerqt-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
                libkf5notifyconfig-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.5~),
+               libkf5screen-dev (>= 4:5.27.7~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.98.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
@@ -46,7 +46,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.5~),
+               plasma-workspace-dev (>= 4:5.27.7~),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/powerdevil
