=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libkf5networkmanagerqt-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
                libkf5notifyconfig-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.10~),
+               libkf5screen-dev (>= 4:5.27.11~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
@@ -45,9 +45,9 @@
                libxcb-randr0-dev,
                libxcb1-dev,
                libxrandr-dev,
-               pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.10~),
+               pkgconf,
+               plasma-workspace-dev (>= 4:5.27.11~),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/powerdevil
